Zum Hauptinhalt springen
POST
/
embeddings
/api/v1/embeddings
curl --request POST \
  --url https://api.venice.ai/api/v1/embeddings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "encoding_format": "float",
  "input": "The quick brown fox jumped over the lazy dog",
  "model": "text-embedding-bge-m3"
}
'
{
  "data": [
    {
      "embedding": [
        0.0023064255,
        -0.009327292,
        0.015797377
      ],
      "index": 0,
      "object": "embedding"
    }
  ],
  "model": "text-embedding-bge-m3",
  "object": "list",
  "usage": {
    "prompt_tokens": 8,
    "total_tokens": 8
  }
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Header

Accept-Encoding
string

Supported compression encodings (gzip, br)

Beispiel:

"gzip, br"

Body

application/json

Create embeddings for the supplied input.

input
erforderlich

Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. The input must not exceed the max input tokens for the model (8192 tokens), cannot be an empty string, and any array must be 2048 dimensions or less.

Minimum string length: 1
Beispiel:

"The quick brown fox jumped over the lazy dog"

model
erforderlich

ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.

Beispiel:

"text-embedding-bge-m3"

dimensions
integer

The number of dimensions the resulting output embeddings should have.

Erforderlicher Bereich: x >= 1
encoding_format
enum<string>
Standard:float

The format to return the embeddings in. Can be either float or base64.

Verfügbare Optionen:
float,
base64
Beispiel:

"float"

user
string

This is an unused parameter and is discarded by Venice. It is supported solely for API compatibility with OpenAI.

Antwort

OK

data
object[]
erforderlich

The list of embeddings generated by the model.

model
string
erforderlich

The name of the model used to generate the embedding.

object
enum<string>
erforderlich

The object type, which is always "list"

Verfügbare Optionen:
list
usage
object
erforderlich

The usage information for the request.